Permalink
Browse files

* OpenAFP-Utils 1.3.1, now under CC0 public-domain license.

  • Loading branch information...
1 parent 1fe541a commit 005cf4cf58405f0395b05928ef1a9fc789496ea6 @audreyt committed Aug 29, 2011
Showing with 20 additions and 34 deletions.
  1. +4 −18 LICENSE
  2. +16 −16 OpenAFP-Utils.cabal
View
22 LICENSE
@@ -1,20 +1,6 @@
-Copyright 2004-2008 by Audrey Tang
+To the extent possible under law, 唐鳳 has waived all copyright and
+related or neighboring rights to OpenAFP-Utils.
-Permission is hereby granted, free of charge, to any person obtaining
-a copy of this software and associated documentation files (the
-"Software"), to deal in the Software without restriction, including
-without limitation the rights to use, copy, modify, merge, publish,
-distribute, sublicense, and/or sell copies of the Software, and to
-permit persons to whom the Software is furnished to do so, subject to
-the following conditions:
+This work is published from Taiwan.
-The above copyright notice and this permission notice shall be
-included in all copies or substantial portions of the Software.
-
-THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
-EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
-MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
-NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
-LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
-OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
-WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+<http://creativecommons.org/publicdomain/zero/1.0>
View
32 OpenAFP-Utils.cabal
@@ -1,71 +1,71 @@
Name: OpenAFP-Utils
-Version: 1.3
-License: BSD3
+Version: 1.3.1
+License: PublicDomain
License-file: LICENSE
Author: Audrey Tang
Maintainer: audreyt@audreyt.org
Synopsis: Assorted utilities to work with AFP data streams
Description: Assorted utilities to work with AFP data streams
Category: Data
Build-type: Simple
-Cabal-Version: >= 1.2.3
+Cabal-Version: >= 1.3.3
Executable afp2line2pdf
Main-is: afp2line2pdf.hs
- Build-depends: OpenAFP >= 1.2, base, line2pdf >= 0.0.7
+ Build-depends: OpenAFP >= 1.3, base, line2pdf >= 0.0.7
Extensions: StandaloneDeriving, GeneralizedNewtypeDeriving, ImplicitParams,
ExistentialQuantification, PatternGuards
Executable afp-olndump
Main-is: afp-olndump.hs
- Build-depends: OpenAFP >= 1.2, base, bytestring, containers, binary
+ Build-depends: OpenAFP >= 1.3, base, bytestring, containers, binary
Executable afp-dump
Main-is: afp-dump.hs
- Build-depends: OpenAFP >= 1.2, base, bytestring, containers, iconv, xhtml
+ Build-depends: OpenAFP >= 1.3, base, bytestring, containers, iconv, xhtml
Extensions: DeriveDataTypeable, PatternGuards
Executable afp-page
Main-is: afp-page.hs
- Build-depends: OpenAFP >= 1.2, base
+ Build-depends: OpenAFP >= 1.3, base
Executable afp-replace
Main-is: afp-replace.hs
- Build-depends: OpenAFP >= 1.2, base
+ Build-depends: OpenAFP >= 1.3, base
Extensions: DeriveDataTypeable, FlexibleContexts, PatternGuards
Executable afp-scanudc
Main-is: afp-scanudc.hs
- Build-depends: OpenAFP >= 1.2, base >= 4 && < 5, directory
+ Build-depends: OpenAFP >= 1.3, base >= 4 && < 5, directory
Extensions: BangPatterns, PatternGuards
Executable afp-split
Main-is: afp-split.hs
- Build-depends: OpenAFP >= 1.2, base
+ Build-depends: OpenAFP >= 1.3, base
Executable afp-split-scb
Main-is: afp-split-scb.hs
- Build-depends: OpenAFP >= 1.2, base
+ Build-depends: OpenAFP >= 1.3, base
Executable afp-split-tcb
Main-is: afp-split-tcb.hs
- Build-depends: OpenAFP >= 1.2, base, filepath
+ Build-depends: OpenAFP >= 1.3, base, filepath
Extensions: ImplicitParams
Executable afp-type
Main-is: afp-type.hs
- Build-depends: OpenAFP >= 1.2, base
+ Build-depends: OpenAFP >= 1.3, base
Executable afp-udcfix
Main-is: afp-udcfix.hs
- Build-depends: OpenAFP >= 1.2, base, regex-base, regex-posix
+ Build-depends: OpenAFP >= 1.3, base, regex-base, regex-posix
Extensions: DeriveDataTypeable, MultiParamTypeClasses, FlexibleContexts, PatternGuards, RankNTypes
Executable afp-validate
Main-is: afp-validate.hs
- Build-depends: OpenAFP >= 1.2, base >= 4 && < 5
+ Build-depends: OpenAFP >= 1.3, base >= 4 && < 5
Executable afp2line
Main-is: afp2line.hs
- Build-depends: OpenAFP >= 1.2, base
+ Build-depends: OpenAFP >= 1.3, base
Extensions: GeneralizedNewtypeDeriving

0 comments on commit 005cf4c

Please sign in to comment.